package session

import (
	"github.com/google/uuid"
	"streifling.com/jason/sicherheitsunterweisung/packages/data"
)

type tableHTMLData struct {
	SessionID uuid.UUID
	OTD       []data.OverviewTableData
}

type participantHTMLData struct {
	SessionID uuid.UUID
	BriefingParticipant
}

type questionHTMLData struct {
	participantHTMLData
	QuestionID int64
	Question   data.Question
}

type resultAnswer struct {
	Text    string
	Correct bool
	Chosen  bool
}

type resultQuestion struct {
	Text    string
	Answers []resultAnswer
}

type resultHTMLData struct {
	participantHTMLData
	Questions []resultQuestion
}

type summaryHTMLData struct {
	SessionID        uuid.UUID
	ParticipantsData []participantHTMLData
}
