package session

import (
	"net/http"

	"github.com/google/uuid"
	"streifling.com/jason/sicherheitsunterweisung/packages/data"
)

type Mux struct {
	*http.ServeMux
}

type BriefingParticipant struct {
	*data.Participant
	Login        string
	GivenAnswers []int
	NoIncorrect  int
	AllowRetry   bool
}

type Session struct {
	ID uuid.UUID
	*data.Briefing
	Participants []*BriefingParticipant
	Questions    []data.Question
}
